package com.qmth.sop.common.enums;

/**
 * @Description: 自定义流程类型enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/24
 */
public enum TFCustomTypeEnum {

    OFFICE_SOP_FLOW("教务处SOP", "officeSopFlow", "testform1.zip"),

    CLOUD_MARK_SOP_FLOW("云阅卷SOP", "cloudMarkSopFlow", null),

    DING_EXCEPTION_FLOW("考勤异常审核流程", "dingExceptionFlow", "dingExceptionFlow.zip"),

    PROJECT_EXCHANGE_FLOW("项目计划变更流程 ", "projectExchangeFlow", "projectExchangeFlow.zip"),

    QUALITY_PROBLEM_FLOW("质量问题反馈流程 ", "qualityProblemFlow", "qualityProblemFlow.zip");

    private String title;

    private String code;

    private String fileName;

    private TFCustomTypeEnum(String title, String code, String fileName) {
        this.title = title;
        this.code = code;
        this.fileName = fileName;
    }

    public String getTitle() {
        return title;
    }

    public String getCode() {
        return code;
    }

    public String getFileName() {
        return fileName;
    }
}
